//This sample main program may be used to test C++ code generation scripts.
//In With Class load cppcar.omt.  Run the scripts cpphead.sct and cppfunc.sct
//or borland scripts.
//Create a project in your C++ environment.  Add carmain.cpp, vehicle.cpp, 
//car.cpp, motor.cpp, passenge.cpp, tire.cpp, and cellular.cpp.
//Comments and suggestions are solicited Richard Felsinger, RCF Associates
//960 Scottland Dr, Mt Pleasant, SC 29464 tele 803-881-3648 71162.755@compuserve.com

#include "car.h"

int main ()
{ 
  Car car1;
  car1.start();
  car1.operate();
  car1.stop();
  car1.addPassenger();
  car1.removePassenger();
  car1.makePhoneCall();
  car1.receivePhoneCall();
  car1.inflateTire();
  car1.checkPassengerSeatBelt();
  return 0;
}
